local L = LibStub("AceLocale-3.0"):NewLocale("Elephant", "enUS", true)
-- No check on the validity of L here. We badly need this locale.

--[[ Common messages ]]
L['chatlog']				= "Log the chat to a file"
L['chatlog2_desc']		= "Logs the chat (not the combat log) to Logs\\WoWChatLog.txt."
L['chatlog2_desc2']		= "If this option is activated, the file logging will automatically be enabled back at login."
L['combatlog']			= "Log the combat chat to a file"
L['combatlog2_desc']		= "Logs the combat chat to Logs\\WoWCombatLog.txt."
L['combatlog2_desc2']		= "If this option is activated, the file logging will automatically be enabled back at login."
L['disabled']			= "Disabled"
L['enabled']				= "Enabled"
L['enableddefault']		= "Log new channels"
L['enableddefault_desc']	= "Automaticaly starts logging when you join a new channel."
L['noprat']				= "You choose to use Prat's formatting for logs but Prat is not loaded. Messages will be logged with Elephant's formatting."
L['reset']				= "Reset"
L['reset_desc']			= "Reset options."
L['toggle']				= "Toggle"
L['toggle_desc']			= "Shows or hides the main window."

--[[ Options menu elements ]]
L['activate']			= "Activate"
L['activate_desc']		= "Let Elephant control file logging. Disabling this option will leave the current logging status unchanged.\n\nWarning: You shouldn't let two different addons control the file logging."
L['clearallhelp']		= "Clear"
L['clearallhelp_desc']	= "Clears all the saved logs."
L['files']				= "File logging"
L['files_desc']			= "Options to save the logs into files."
L['Filters']				= FILTERS
L['Filters_desc']		= "Filters are used to avoid the logging of specific channels."
L['filterusage']		= "Exact channel name. You can also use wildcards (*). Ex: <AceComm*>"
L['filtererror']		= "Cannot add filter '%s'. Filter must contain only letters and wildcards (*)."
L['filterregex']		= "^[%a%*]+$"
L['filternotfound']		= "Filter not found."
L['filteradded']		= "Added filter '%s'"
L['filterdeleted']		= "Filter '%s' successfuly deleted."
L['forcetimestamp']		= "Force timestamps in logs"
L['forcetimestamp2_desc']	= "Always adds timestamps in the logs if Prat is used. This is useful when you want timestamps to appear in the logs when you did not activate them in the chat."
L['forcetimestamp2_desc2']	= "This option will only work if Prat is currently enabled and you choose to use Prat formatting."
L['newfilter_desc']		= "Creates a new filter."
L['deletefilter_desc']	= "Deletes a previously created filter."
L['logs']				= "Logs"
L['logs_desc']			= "Logging options."
L['maxlogwords']			= "Max log"
L['maxlogwords_desc']	= "Maximum size of each log."
L['prat']				= "Prat formatting"
L['prat2_desc']			= "Saves the logs the same way than Prat. Logs saved with this option enabled cannot be brought back to Elephant's default logging style."
L['prat2_desc2']		= "This option will only work if you have Prat currently enabled."
L['resethelp']			= "Settings"
L['resethelp_desc']		= "Resets all settings and chats."
L['resetloc']			= "Position"
L['resetloc_desc']		= "Resets Elephant's main window position."
L['showbutton']			= "Show button"
L['showbutton_desc']		= "Displays a button above the normal chat buttons to toggle Elephant."

--[[ Main/Copy frame elements ]]
-- Main
L['catchers']	= {
	[1]	= "Message catchers",
	[2]	= "What should be saved in this log?",
	[3]	= "Message types in grey cannot be disabled."
}
L['clearall']	= "Clear all"
L['copy']	= "Copy"
L['copyinfo']	= "Lets you copy the last displayed line and the %s lines preceding it."
L['Disable']		= DISABLE
L['Empty']		= EMPTY
L['Enable']		= ENABLE
L['maxlog']		= "Max log: %s lines."
L['move2']		= {
	[1]	= "Move window",
	[2]	= "Middle-Click to reset Elephant position.",
	[3]	= "Also works on main window."
}
L['nblines']		= "Lines: %s"
L['scroll']		= {
	['bottom']		= {
		[1]	= "Scroll to bottom",
	},
	['linedown']	= {
		[1]	= "Scroll one line down",
	},
	['lineup']		= {
		[1]	= "Scroll one line up",
	},
	['pagedown']	= {
		[1]	= "Scroll one page down",
	},
	['pageup']		= {
		[1]	= "Scroll one page up",
	},
	['top']			= {
		[1]	= "Scroll to top",
	},
}
L['customchatsinfo']	= "Channels not checked are channels you left."

-- Copy
L['bbAndText']		= "BB/Text"
L['copywindow']		= "Copy window"
L['itemLinkSite']	= "http://www.wowhead.com/?item="

--[[ Special log messages ]]
L['logstartedon']	= "Logging started on %s at %s."
L['logstopped']		= "Logging stopped."
L['monstersay']		= "%s says"
L['monsteryell']		= "%s yells"
L['whisperfrom']		= "%s whispers"
L['whisperto']		= "To %s"

--[[ Addon messages ]]
L['clearallconfirm']		= "All chats cleared."
L['combatlogdisabled']	= "This function is disabled."
L['deleteconfirm']		= "Chat deleted: %s"
L['emptyconfirm']		= "Chat cleared: %s"
L['lootmethod']			= {
	['freeforall']		= ERR_SET_LOOT_FREEFORALL,
	['group']			= ERR_SET_LOOT_GROUP,
	['master']			= ERR_SET_LOOT_MASTER,
	['needbeforegreed']	= ERR_SET_LOOT_NBG,
	['roundrobin']		= ERR_SET_LOOT_ROUNDROBIN,
}
L['masterlooterchanged']	=  ERR_NEW_LOOT_MASTER_S
L['masterlooternameunknown']	= "Couldn't determine name of master looter"
L['resetconfirm']		= "Reseted all settings and chats."

--[[ Tooltips ]]
L['togglebuttontooltip']		= {
	[1]	= "Left-Click to toggle Elephant",
	[2]	= "Middle-Click to reset button position.",
	[3]	= "Right-Click to move button.",
}
L['activefilters'] = "Active filters"
L['toggletooltiphint1'] = "|c%sClick|r to toggle Elephant"
L['toggletooltiphint2'] = "|c%sRight-Click|r to open the option window"

--[[ Popup windows ]]
L['clearallpopup']	= {
	[1]	= "This will clear all logs.",
	[2]	= "Ok",
	[3]	= "Cancel",
}
L['emptypopup']		= {
	[1]	= "This will clear the current log.",
	[2]	= "Ok",
	[3]	= "Cancel",
}
L['resetpopup']		= {
	[1]	= "This will reset all settings and chats.",
	[2]	= "Ok",
	[3]	= "Cancel",
}

--[[ Minimap icon ]]
L['minimapicon']	= "Minimap icon"
L['minimapicon_desc']	= "Shows an icon on the minimap"

--[[ Default chat names to be displayed ]]
L['chatnames']	= {
	['combat']		= "Combat",
	['custom']		= "Custom chats",
	['general']		= "General chats",
	['guild']		= CHAT_MSG_GUILD,
	['loot']		= CHAT_MSG_LOOT,
	['misc']		= "Misc.",
	['officer']		= CHAT_MSG_OFFICER,
	['party']		= CHAT_MSG_PARTY,
	['raid']		= CHAT_MSG_RAID,
	['say']			= CHAT_MSG_SAY,
	['system']		= SYSTEM_MESSAGES,
	['whisper']		= WHISPER,
	['yell']		= YELL_MESSAGE,
	['achievement']	= ACHIEVEMENTS,
}

--[[ General chats (= that you cannot leave) names and strings that identify them ]]
L['generalchats']	= {
	['localdefense']		= {
		['name']	= "Local defense",
		['string']	= "localdefense",
	},
	['lookingforgroup']		= {
		['name']	= "Looking for group",
		['string']	= "lookingforgroup",
	},
	['general']				= {
		['name']	= "General",
		['string']	= "general",
	},
	['guildrecruitment']	= {
		['name']	= "Guild recruitment",
		['string']	= "guildrecruitment",
	},
	['trade']				= {
		['name']	= "Trade",
		['string']	= "trade",
	},
	['worlddefense']		= {
		['name']	= "World defense",
		['string']	= "worlddefense",
	},
}

--[[ Custom chats special log messages ]]
L['customchat']	= {
	['join']	= "You joined channel.",
	['leave']	= "You left channel.",
}